Installation"

From Documentation
Line 44: Line 44:
 
[[Image:Eclipse36_marketplace.png]]
 
[[Image:Eclipse36_marketplace.png]]
  
=== Online Installation ===
+
=== Update Site URL ===
 
Since Eclipse 3.7 and the Studio Service update, the new URL format is '''''<nowiki>http://studio.zkoss.org/resource/plugins/eclipse_ver</nowiki>'''''
 
Since Eclipse 3.7 and the Studio Service update, the new URL format is '''''<nowiki>http://studio.zkoss.org/resource/plugins/eclipse_ver</nowiki>'''''
 
* The URL of ZK Studio for Eclipse 4.2: http://studio.zkoss.org/resource/plugins/eclipse_4_2
 
* The URL of ZK Studio for Eclipse 4.2: http://studio.zkoss.org/resource/plugins/eclipse_4_2

Revision as of 04:28, 17 October 2012

ZK Studio




Support Version

Eclipse 4.2, Eclipse 3.7, Eclipse 3.6, Eclipse 3.5.

Prerequisite

There are three pieces of software that you need to download and install in order to use ZK Studio.

Java SE Development Kit (JDK)

Java version 5 or 6 is required in order to run Eclipse, you can download either of them by following the links below:

Eclipse IDE for Java EE Developers

ZK-Studio is an Eclipse Plug-in, therefore you must install Eclipse. We recommend using the Eclipse IDE for Java EE Developers package, currently v4.2 (Juno), v3.7 (Indigo), and v3.6 (Helios).

Install:

  • Extract "eclipse" from the downloaded zip file to a location of your choice. To make sure Eclipse can run on your system, execute eclipse.exe (in Windows) or eclipse (in Unix or Linux). You can locate these files in your extracted eclipse folder.
  • We recommend setting Eclipse's default JRE to JDK, please refer to the Setup/Preferences section in WTP Tutorials – Building and Running a Web Application.

Tips:

  1. We recommend modifying some parameters in the configuration file eclipse.ini which will result in performance gain, please refer here and here.
  2. We also recommend using the Java Development Kit (JDK) as the default JRE for Eclipse IDE, please follow these instructions to make the JDK the default JRE.

Application Servers

Before developing web applications in Java using the ZK Ajax Framework, you need to install an application server. Apache Tomcat is one of the most popular Web containers. Tomcat versions 6 and 7 are supported and can be downloaded at the following link http://tomcat.apache.org/.

Install:

Download the zip file of Tomcat distribution and extract it to a proper location (with no illegal characters or space in the path). Tomcat requires configuration before it can be used with Eclipse, this process is described in the following link Running the ZUL File.

Tips:

If you not only want to develop Web Applications, but also need to deploy them on Apache Tomcat, links to the official installation instructions for directly running Apache Tomcat in your environment are provided below:

Installation Guide

ZK Studio can be installed by using either the online installation with the update site URL, or by downloading the offline installation zip file provided here and following the Offline Installation Guide.

Marketplace (Since Eclipse 3.6)

Since Eclipse 3.6, marketplace is another way to install plugin. In menu: Help -> Eclipse Markpetplace and search "zk studio" you'll find ZK Studio to install.

Eclipse36 marketplace.png

Update Site URL

Since Eclipse 3.7 and the Studio Service update, the new URL format is http://studio.zkoss.org/resource/plugins/eclipse_ver

Zkstudio installation 36 2.png

Online Installation on Eclipse

1. Open Eclipse, click the [Help] menu and select [Install New Software...]. A install window popup and then click [Add].

Zkstudio installation 35 1.png

2. Name the site as ZK Studio and copy corresponding update site's URL (for example, http://studio.zkoss.org/resource/plugins/eclipse_3_7 when using Eclipse 3.7) into "Location" and click [OK]

Zkstudio installation 35 2.png

3. Expand the ZK Studio Update entry, check ZK Studio and then click [Next]

Zkstudio installation 35 3.png

The Eclipse Installation System will now attempt to retrieve information from the update site. This will take some time depending on your eclipse environment, please be patient.


4. Click [Next] on the pop-up install wizard dialog.

Zkstudio installation 35 4.png

Check [I accept the terms of the license agrement] and click [Finish] on the wizard dialog.

Zkstudio installation 35 4 licenses.png

The Installation process will now begin.

Zkstudio installation 35 5.png

If there is a pop-up dialog with unsigned content warning, please click [OK] to continue.

Zkstudio installation 35 5 warning.png

5. Once the installation is complete, please restart Eclipse as prompted.

Zkstudio installation 35 6.png

Offline Installation on Eclipse

1. Download the offline installation zip file here
2. The following steps is much like online installation. But click Archive in step2. Then use file explorer to choose downloaded file in previous step.

Zkstudio installation 35 manual 2.png

Activate ZK Studio

In Eclipse's menubar, please choose Help/Activate ZK Studio. A dialog will show:

Studio activation dialog.png

Please input your account and password in ZK Forum to activate ZK Studio.

If you have to connect the internet through proxy, you may setup proxy URL and port to make it work.

Since ZK Studio 1.0.1, user still have full featured ZK Studio even if not activated. But it will prompt to activate every 7 days.

Trouble Shooting

Can't activate in Spring Tool Suite 2.6.0

Spring tool suite 2.6 series asks that encrypt/decrypt library must be signed by trusted source. You must modify java.security file to enable the license management of ZK Studio (Bouncy Castle Cryptography Provider). Please refer to JCE Authenticate Provider for more information.

WTP not installed

If you get the following error message while installing ZK Studio, that means you are not using Eclipse for J2EE user , and you need to install Eclipse WTP plug-in manually or download Eclipse for J2EE.

Cannot complete the install because one or more required items could not be found.
Software currently installed: ZK Studio Eclipse Plugins 0.9.6.v200912041237 (org.zkoss.eclipse.feature.group 0.9.6.v200912041237)
Missing requirement: ZK Studio Storage Plug-in 0.9.6.v200912041237 (org.zkoss.eclipse.zks 0.9.6.v200912041237) requires 'bundle org.eclipse.wst.common.project.facet.ui 0.0.0' but it could not be found
Cannot satisfy dependency:  From: ZK Studio Eclipse Plugins 0.9.6.v200912041237 (org.zkoss.eclipse.feature.group 0.9.6.v200912041237)
To: org.zkoss.eclipse.ve [0.9.6.v200912041237]
Cannot satisfy dependency:  From: ZK Studio Visual Editor Plug-in 0.9.6.v200912041237 (org.zkoss.eclipse.ve 0.9.6.v200912041237)
To: bundle org.zkoss.eclipse.zks 0.0.0


Copyright © Potix Corporation. This article is licensed under GNU Free Documentation License.